## sphinx-notfound-page 0.8

=== docs/requirements.txt ===
sphinx==4.2.0
sphinx-prompt==1.4.0
sphinx-tabs==3.2.0
sphinx-rtd-theme==1.0.0
sphinxemoji==0.2.0
sphinx-autoapi==1.8.4
# We need to ignore upgrading it here, because we install it from the
# repository when building the docs on Read the Docs
sphinx-notfound-page  # pyup: ignore

=== debian/changelog ===
sphinx-notfound-page (0.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1003341)

 -- Mo Zhou <lumin@debian.org>  Sat, 08 Jan 2022 12:26:03 -0500

=== debian/control ===
Source: sphinx-notfound-page
Section: python
Homepage: https://github.com/readthedocs/sphinx-notfound-page
Priority: optional
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-notfound-page.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-notfound-page
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx

Package: python3-sphinx-notfound-page
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Create a custom 404 page with absolute URLs hardcoded
 sphinx-notfound-page is a Sphinx extension to create custom 404 pages and help
 you to generate proper resource links (js, css, images, etc) to render the page
 properly.
 .
 This extension was originally developed to be used on Read the Docs but it can
 be used in other hosting services as well.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=sphinx-notfound-page

%:
	dh $@ --with python3 --buildsystem=pybuild

## sphinx-notfound-page 0.8.3

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile --extra=doc --output-file=docs/requirements.txt pyproject.toml
#
alabaster==0.7.12
    # via sphinx
astroid==2.12.2
    # via sphinx-autoapi
babel==2.10.3
    # via sphinx
certifi==2022.6.15
    # via requests
charset-normalizer==2.1.0
    # via requests
docutils==0.17.1
    # via
    #   sphinx
    #   sphinx-rtd-theme
    #   sphinx-tabs
idna==3.3
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via
    #   sphinx
    #   sphinx-autoapi
lazy-object-proxy==1.7.1
    # via astroid
markupsafe==2.1.1
    # via jinja2
packaging==21.3
    # via sphinx
pygments==2.12.0
    # via
    #   sphinx
    #   sphinx-prompt
    #   sphinx-tabs
pyparsing==3.0.9
    # via packaging
pytz==2022.1
    # via babel
pyyaml==6.0
    # via sphinx-autoapi
requests==2.28.1
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==4.5.0
    # via
    #   sphinx-autoapi
    #   sphinx-notfound-page (pyproject.toml)
    #   sphinx-prompt
    #   sphinx-rtd-theme
    #   sphinx-tabs
    #   sphinxemoji
sphinx-autoapi==1.8.4
    # via sphinx-notfound-page (pyproject.toml)
sphinx-notfound-page==0.8
    # via sphinx-notfound-page (pyproject.toml)
sphinx-prompt==1.4.0
    # via sphinx-notfound-page (pyproject.toml)
sphinx-rtd-theme==1.0.0
    # via sphinx-notfound-page (pyproject.toml)
sphinx-tabs==3.3.1
    # via sphinx-notfound-page (pyproject.toml)
sphinxcontrib-applehelp==1.0.2
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
sphinxemoji==0.2.0
    # via sphinx-notfound-page (pyproject.toml)
unidecode==1.3.4
    # via sphinx-autoapi
urllib3==1.26.10
    # via requests
wrapt==1.14.1
    # via astroid

=== debian/changelog ===
sphinx-notfound-page (0.8.3-2~bpo11+1) bullseye-backports; urgency=medium

  * Team upload.
  * Rebuild for bullseye-backports.
    - Add a versioned constraint for flit >= 3.2, as specified in the upstream
      pyproject.toml file.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 20 Feb 2023 16:17:17 +0200

sphinx-notfound-page (0.8.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 03:33:12 +0100

sphinx-notfound-page (0.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8.3
  * Bump Standards-Version to 4.6.1
  * Switch to PEP 517 build

 -- Timo Röhling <roehling@debian.org>  Wed, 27 Jul 2022 01:32:29 +0200

sphinx-notfound-page (0.8-2) unstable; urgency=medium

  * Team upload.
  * Run pytest test suite on build
  * Migrate to dh-sequence-python3

 -- Timo Röhling <roehling@debian.org>  Sun, 19 Jun 2022 23:26:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Section: python
 Homepage: https://github.com/readthedocs/sphinx-notfound-page
 Priority: optional
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-notfound-page.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-notfound-page
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+	       flit (>= 3.2),
+	       pybuild-plugin-pyproject,
                python3-all,
+	       python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-sphinx
+               python3-sphinx,
 
 Package: python3-sphinx-notfound-page
 Architecture: all

## sphinx-notfound-page 1.0.0

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile --extra=doc --output-file=docs/requirements.txt pyproject.toml
#
alabaster==0.7.13
    # via sphinx
anyascii==0.3.2
    # via sphinx-autoapi
astroid==2.15.6
    # via sphinx-autoapi
babel==2.12.1
    # via sphinx
certifi==2023.7.22
    # via requests
charset-normalizer==3.2.0
    # via requests
docutils==0.18.1
    # via
    #   sphinx
    #   sphinx-rtd-theme
    #   sphinx-tabs
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via
    #   sphinx
    #   sphinx-autoapi
lazy-object-proxy==1.9.0
    # via astroid
markupsafe==2.1.3
    # via jinja2
packaging==23.1
    # via sphinx
pygments==2.16.1
    # via
    #   sphinx
    #   sphinx-tabs
pyyaml==6.0.1
    # via sphinx-autoapi
requests==2.31.0
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==7.2.3
    # via
    #   sphinx-autoapi
    #   sphinx-notfound-page (pyproject.toml)
    #   sphinx-rtd-theme
    #   sphinx-tabs
    #   sphinxcontrib-applehelp
    #   sphinxcontrib-devhelp
    #   sphinxcontrib-htmlhelp
    #   sphinxcontrib-jquery
    #   sphinxcontrib-qthelp
    #   sphinxcontrib-serializinghtml
    #   sphinxemoji
sphinx-autoapi==2.1.1
    # via sphinx-notfound-page (pyproject.toml)
sphinx-rtd-theme==1.3.0
    # via sphinx-notfound-page (pyproject.toml)
sphinx-tabs==3.4.1
    # via sphinx-notfound-page (pyproject.toml)
sphinxcontrib-applehelp==1.0.7
    # via sphinx
sphinxcontrib-devhelp==1.0.5
    # via sphinx
sphinxcontrib-htmlhelp==2.0.4
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.6
    # via sphinx
sphinxcontrib-serializinghtml==1.1.9
    # via sphinx
sphinxemoji==0.2.0
    # via sphinx-notfound-page (pyproject.toml)
typing-extensions==4.7.1
    # via astroid
urllib3==2.0.4
    # via requests
wrapt==1.15.0
    # via astroid

=== debian/changelog ===
sphinx-notfound-page (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add a patch to make the tests pass with our Alabaster version.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 30 Oct 2023 10:11:04 +0300

sphinx-notfound-page (0.8.3-3) unstable; urgency=medium

  * Override dh_auto_test to fix FTBFS due to test failure.
    (Closes: #1042604, #1052853)
  * Add autopkgtest test case.

 -- Mo Zhou <lumin@debian.org>  Fri, 06 Oct 2023 17:50:16 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-	       flit (>= 3.2),
+	       flit,
 	       pybuild-plugin-pyproject,
                python3-all,
 	       python3-pytest <!nocheck>,

=== debian/tests/control ===
Test-Command: PYTHONPATH=. pytest -v
Depends: @, python3-pytest, python3-sphinx
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
https://github.com/readthedocs/sphinx-notfound-page/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## sphinx-notfound-page 1.0.4

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --extra=doc --output-file=docs/requirements.txt pyproject.toml
#
alabaster==0.7.16
    # via sphinx
astroid==3.2.2
    # via sphinx-autoapi
babel==2.15.0
    # via sphinx
certifi==2024.2.2
    # via requests
charset-normalizer==3.3.2
    # via requests
docutils==0.20.1
    # via
    #   sphinx
    #   sphinx-rtd-theme
    #   sphinx-tabs
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.4
    # via
    #   sphinx
    #   sphinx-autoapi
markupsafe==2.1.5
    # via jinja2
packaging==24.0
    # via sphinx
pygments==2.18.0
    # via
    #   sphinx
    #   sphinx-tabs
pyyaml==6.0.1
    # via sphinx-autoapi
requests==2.32.2
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==7.3.7
    # via
    #   sphinx-autoapi
    #   sphinx-notfound-page (pyproject.toml)
    #   sphinx-rtd-theme
    #   sphinx-tabs
    #   sphinxcontrib-jquery
    #   sphinxemoji
sphinx-autoapi==3.1.1
    # via sphinx-notfound-page (pyproject.toml)
sphinx-rtd-theme==2.0.0
    # via sphinx-notfound-page (pyproject.toml)
sphinx-tabs==3.4.5
    # via sphinx-notfound-page (pyproject.toml)
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-htmlhelp==2.0.5
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.7
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
sphinxemoji==0.3.1
    # via sphinx-notfound-page (pyproject.toml)
urllib3==2.2.1
    # via requests

=== debian/changelog ===
sphinx-notfound-page (1.0.4-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to make the tests pass with Sphinx 8.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Nov 2024 19:19:55 +0300

sphinx-notfound-page (1.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Do-not-hardcode-CSS-JS-checksums.patch, applied upstream.
  * Add a patch to make the tests pass with Sphinx 7.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 03 Aug 2024 15:23:48 +0300

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=sphinx-notfound-page
export PYBUILD_AFTER_TEST=rm -rf '{build_dir}/build'

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=. pytest -v
